---
- name: Get Cuda toolkit for Ubuntu
  become: true
  ansible.builtin.get_url:
    url: https://developer.download.nvidia.com/compute/cuda/{{cuda_version}}/local_installers/cuda_{{cuda_version}}_{{cuda_toolkit_version}}_linux.run
    dest: /usr/local/
    mode: 744
    validate_certs: false

- name: Install Cuda toolkit Ubuntu
  become: true
  ansible.builtin.shell: cd /usr/local/ && ./cuda_{{cuda_version}}_{{cuda_toolkit_version}}_linux.run {{cuda_toolkit_options}}